document.addEventListener("DOMContentLoaded", function (event) {
    addImageListener()
    // 有些文章会带上 max-width: xxxpx !important 导致超出屏幕宽度
    document.querySelectorAll("img").forEach(function (item) { console.log(item.style.cssText = item.style.cssText.replace(/!important/g, '')); })
});

setTimeout(enableFontSizeTransition, 1000);

function enableFontSizeTransition() {
    document.body.style.transition = "font-size 0.1s ease";
}

function disableCopy() {
    document.getElementById('content').className = "copy-disabled"
}

function changeFontSize(size) {
    var htmlElement = document.getElementById("content");
    htmlElement.setAttribute('style', 'font-size: ' + size + 'px');
}

function getImageList() {
    return Array.prototype.map.call(document.images, function (img) {
        return img.src
    });
}

var messageConsoleBox = document.getElementById("message_console");

function addImageListener() {
    var imgs = document.getElementsByTagName("img")
    for (var i = 0, len = imgs.length; i < len; i++) {
        imgs[i].addEventListener("click", function (e) {
            if (e.target && e.target.nodeName.toLowerCase() == "img") {
                var message = {
                    image: e.target.src,
                    imageList: getImageList()
                }
                window.QMUIBridge.send(message, function (responseData) {});
            }
        });
    }
}

function changeContentSizeLevel(size) {
    var bodyElement = document.getElementsByTagName('body')[0];
    bodyElement.setAttribute('class', 'html-size-' + size);
}
